Bug 36203 - FILEOPEN: Opening attached .pptx file crashes Impress
Summary: FILEOPEN: Opening attached .pptx file crashes Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Linux (All)
: medium major
Assignee: Radek Doulik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-13 05:14 UTC by Katarina Behrens
Modified: 2011-12-22 05:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens 2011-04-13 05:14:00 UTC
Summary says it all -- Impress crashes on opening the attached presentation. Reproduced with master build. The owner of the doc says it crashes 3.3 as well. 3.2.1 opens it ~flawlessly, though.
Comment 1 Katarina Behrens 2011-04-13 05:23:46 UTC
Too big document to attach -- it is here: http://users.suse.cz/~kmachalkova/7.pptx
(careful, URL is not public)

Top of backtrace:
#0  0x00007fffdaeb681c in oox::drawingml::Shape::applyShapeReference(oox::drawingml::Shape const&) ()
   from /opt/libreoffice-master/install/program/../basis-link/program/libooxlx.so
#1  0x00007fffdad85e0b in oox::ppt::PPTGraphicShapeContext::createFastChildContext(int, com::sun::star::uno::Reference<com::s
un::star::xml::sax::XFastAttributeList> const&) ()
   from /opt/libreoffice-master/install/program/../basis-link/program/libooxlx.so
#2  0x00007fffd832117d in sax_fastparser::FastSaxParser::callbackStartElement(char const*, char const**) ()
   from /opt/libreoffice-master/install/program/../basis-link/program/fastsax.uno.so
#3  0x00007fffd832c108 in doContent () from /opt/libreoffice-master/install/program/../basis-link/program/fastsax.uno.so
#4  0x00007fffd832d1de in contentProcessor ()
   from /opt/libreoffice-master/install/program/../basis-link/program/fastsax.uno.so
#5  0x00007fffd832dbe7 in doProlog () from /opt/libreoffice-master/install/program/../basis-link/program/fastsax.uno.so
Comment 2 Radek Doulik 2011-04-14 06:25:18 UTC
Thanks for the report. Fixed in the master branch.
Comment 3 Rainer Bielefeld Retired 2011-07-27 22:48:08 UTC
A horse, a horse, my kingdom for a horse! Uhm - I wanted to say: some version information would have been fine. 3.3.2?
Comment 4 Björn Michaelsen 2011-12-22 05:49:59 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.